# Uses of Class
org.eclipse.swt.custom.LineStyleEvent

Packages that use LineStyleEvent
Package
Description
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of LineStyleEvent in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type LineStyleEvent
Modifier and Type
Method
Description
`void`
LineStyleListener.`lineGetStyle(LineStyleEvent event)`
This method is called when a line is about to be drawn in order to get the line's style information.

## Uses of LineStyleEvent in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type LineStyleEvent
Modifier and Type
Method
Description
`void`
TextConsoleViewer.`lineGetStyle(LineStyleEvent event)`